# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::TriangleIteratorDirect Class Reference

For internal use only. More...

`#include <TriangleIterator.hpp>`

Inheritance diagram for vl::TriangleIteratorDirect:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| TriangleIteratorDirect (EPrimitiveType prim_type)
bool | isEnd () const
virtual int | a () const
virtual int | b () const
virtual int | c () const
void | initialize (int start, int end)
bool | next ()

## Detailed Description

For internal use only.

See vl::TriangleIterator instead.

Definition at line 316 of file TriangleIterator.hpp.

## Constructor & Destructor Documentation

vl::TriangleIteratorDirect::TriangleIteratorDirect | ( | EPrimitiveType | prim_type ) | `[inline]`

Definition at line 321 of file TriangleIterator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::TriangleIteratorDirect::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::TriangleIteratorAbstract.

Definition at line 319 of file TriangleIterator.hpp.

bool vl::TriangleIteratorDirect::isEnd | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 330 of file TriangleIterator.hpp.

virtual int vl::TriangleIteratorDirect::a | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 332 of file TriangleIterator.hpp.

virtual int vl::TriangleIteratorDirect::b | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 333 of file TriangleIterator.hpp.

virtual int vl::TriangleIteratorDirect::c | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 334 of file TriangleIterator.hpp.

void vl::TriangleIteratorDirect::initialize | ( | int | start,
|  | int | end
| ) |  | `[inline]`

Definition at line 336 of file TriangleIterator.hpp.

References vl::PT_POLYGON, vl::PT_QUAD_STRIP, vl::PT_QUADS, vl::PT_TRIANGLE_FAN, vl::PT_TRIANGLE_STRIP, vl::PT_TRIANGLES, and VL_CHECK.

bool vl::TriangleIteratorDirect::next | ( | ) | `[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 384 of file TriangleIterator.hpp.

References vl::PT_POLYGON, vl::PT_QUAD_STRIP, vl::PT_QUADS, vl::PT_TRIANGLE_FAN, vl::PT_TRIANGLE_STRIP, vl::PT_TRIANGLES, and VL_TRAP.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleIterator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:47.
Permission is granted to use this page to write and publish articles regarding Visualization Library.